Listar integrações
curl --request GET \
--url https://api.olie.ai/api/management/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/integrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/integrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/integrations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/integrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"meta": {
"current_page": 1,
"from": 1,
"to": 2,
"last_page": 1,
"per_page": 30,
"total": 2
},
"integrations": [
{
"id": "b7a4c2d1-9e8f-4a6b-8c3d-2e1f0a9b8c7d",
"type": "whatsapp_evolution_managed",
"name": "Atendimento",
"config": {
"history_import_limit": 25
},
"is_active": true,
"connection_state": "connected",
"connection_state_changed_at": "2026-06-20T09:15:00.000000Z",
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"webhook_token": "Hd5wL8rY2cF6jG1aEuI4oT9kQ3vN7mBxZp0sK2tV6qR8nMbW",
"webhook_url": "https://api.olie.ai/api/management/channels/inbound/Hd5wL8rY2cF6jG1aEuI4oT9kQ3vN7mBxZp0sK2tV6qR8nMbW",
"created_at": "2026-06-20T09:00:00.000000Z",
"updated_at": "2026-06-20T09:15:00.000000Z",
"capabilities": {
"reply_window": null,
"templates": false,
"typing": true
}
},
{
"id": "5d2e8f1a-6b3c-4d7e-8f90-1a2b3c4d5e6f",
"type": "whatsapp_cloud",
"name": "WhatsApp oficial",
"config": {
"onboarding": "embedded_signup",
"waba_id": "102030405060708",
"graph_version": "v21.0"
},
"is_active": true,
"connection_state": "unknown",
"connection_state_changed_at": null,
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"webhook_token": "Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"webhook_url": "https://api.olie.ai/api/management/channels/inbound/Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"created_at": "2026-06-18T12:00:00.000000Z",
"updated_at": "2026-06-18T12:00:00.000000Z",
"capabilities": {
"reply_window": {
"hours": 24
},
"templates": true,
"typing": true
}
}
]
}integrations
Listar integrações
Lista as integrações da conta, das mais recentes para as mais antigas, com paginação. Aceita os filtros type e is_active. As credenciais nunca são retornadas; veja Integrações.
GET
/
api
/
management
/
integrations
Listar integrações
curl --request GET \
--url https://api.olie.ai/api/management/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olie.ai/api/management/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olie.ai/api/management/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.olie.ai/api/management/integrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.olie.ai/api/management/integrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.olie.ai/api/management/integrations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.olie.ai/api/management/integrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"response": true,
"meta": {
"current_page": 1,
"from": 1,
"to": 2,
"last_page": 1,
"per_page": 30,
"total": 2
},
"integrations": [
{
"id": "b7a4c2d1-9e8f-4a6b-8c3d-2e1f0a9b8c7d",
"type": "whatsapp_evolution_managed",
"name": "Atendimento",
"config": {
"history_import_limit": 25
},
"is_active": true,
"connection_state": "connected",
"connection_state_changed_at": "2026-06-20T09:15:00.000000Z",
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"webhook_token": "Hd5wL8rY2cF6jG1aEuI4oT9kQ3vN7mBxZp0sK2tV6qR8nMbW",
"webhook_url": "https://api.olie.ai/api/management/channels/inbound/Hd5wL8rY2cF6jG1aEuI4oT9kQ3vN7mBxZp0sK2tV6qR8nMbW",
"created_at": "2026-06-20T09:00:00.000000Z",
"updated_at": "2026-06-20T09:15:00.000000Z",
"capabilities": {
"reply_window": null,
"templates": false,
"typing": true
}
},
{
"id": "5d2e8f1a-6b3c-4d7e-8f90-1a2b3c4d5e6f",
"type": "whatsapp_cloud",
"name": "WhatsApp oficial",
"config": {
"onboarding": "embedded_signup",
"waba_id": "102030405060708",
"graph_version": "v21.0"
},
"is_active": true,
"connection_state": "unknown",
"connection_state_changed_at": null,
"frame_id": "7c0e1d2f-3a4b-5c6d-7e8f-9a0b1c2d3e4f",
"webhook_token": "Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"webhook_url": "https://api.olie.ai/api/management/channels/inbound/Qm7xT2vB9nK4sH8dL1wR6yC0fJ5gAeU3iO7tZ2pV9kMbXc1N",
"created_at": "2026-06-18T12:00:00.000000Z",
"updated_at": "2026-06-18T12:00:00.000000Z",
"capabilities": {
"reply_window": {
"hours": 24
},
"templates": true,
"typing": true
}
}
]
}Authorizations
Query Parameters
Was this page helpful?